__I2C_TRANSFER(9)

NAME
__i2c_transfer - unlocked flavor of i2c_transfer

SYNOPSIS

int __i2c_transfer(struct i2c_adapter * adap, struct i2c_msg * msgs, int num);

ARGUMENTS

adap
    Handle to I2C bus

msgs
    One or more messages to execute before STOP is issued to terminate the operation; each message begins with a START.

num
    Number of messages to be executed.

DESCRIPTION

Returns negative errno, else the number of messages executed.

Adapter lock must be held when calling this function. No debug logging takes place. adap->algo->master_xfer existence isn't checked.

COPYRIGHT